=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ackermann-msgs, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-builtin-interfaces, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
-Homepage: 
+Homepage: https://control.ros.org
 Standards-Version: 3.9.2
 
 Package: ros-humble-tricycle-controller
